Home > Ubuntu > Handbrake in ubuntu 13.10 – video transcoder

Handbrake in ubuntu 13.10 – video transcoder

Hanbrake logoHandBrake: Open Source Video Transcoder, apprezzato programma multipiattaforma per la trascodificata video , attualmente alla versione 0.9.9, è  da tempo installabile in Ubuntu utilizzando  il ppa  stebbins (  John Stebbins in Launchpad.  Attualmente l’ultima versione di ubuntu supportata è la 13.04 raring ringtail.  Chi comunqe da subito desidera utilizzare handbrake in ubuntu 13.10 saucy salamander può utilizzare la versione per raring dal ppa stebbing  Packages in “HandBrake Releases” : HandBrake Releases : John Stebbins

Sceglere il packages handbrake – 0.9.9ppa1~raring1 della versione desiderata gtk per l’interfaccia grafica, cli per la versione a riga di comando  e ovviamente  i386 per la32 bit, amd64 per la 64 bit.

Installare handbrake in Ubuntu 13.10 64 bit da terminale

per  installare la versione a 64 bit  con interfaccia grafica (gtk)  scaricare il file handbrake-gtk_0.9.9ppa1~raring1_amd64.deb

wget https://launchpad.net/~stebbins/+archive/handbrake-releases/+files/handbrake-gtk_0.9.9ppa1~raring1_amd64.deb

posizionarsi nella directory in sui ci è salvato il file e da terminale digitare

sudo dpkg -i handbrake-gtk_0.9.9ppa1~raring1_amd64.deb

Per installarevia terminale in Ubuntu 13.10 32 bit handbrake 0.9.9

wget https://launchpad.net/~stebbins/+archive/handbrake-releases/+files/handbrake-gtk_0.9.9ppa1~raring1_i386.deb 

sudo dpkg -i handbrake-gtk_0.9.9ppa1~raring1_i386.deb

Ancora una volta non ho compiuto test approfonditi  ma la versione amd64 su Ubuntu 13.10 64 bit sembra funzionare egregiamente almeno per quelle che sono le mie esigenze.

Handbrake 0.9.9-ubuntu 13.10

Handbrake 0.9.9-ubuntu 13.10

Per avviare Handbrake da terminale si deve digitare un acronimo derivato da handbrake-gtk.

:~$ ghb

Sources:

  • I files multimediali più comuni che le librerie libavformat e libavcodec supportano.
  • Quasiasi DVD o Bluray-like che non sia “copy-protected”. (la rimozione della protezione della copia non è supportata)

Outputs:

  • Formato files contenitore  : MP4(M4V) e  Matrosca (MKV)
  • Video: H.264(x264), MPEG-4(ffmpeg), MPEG-2(ffmpeg), or Theora(libtheora)
  • Audio: AAC, CoreAudio AAC/HE-AAC (OS X Only), MP3, Flac, AC3, or Vorbis. AC-3, DTS, DTS-HD, AAC and MP3 pass-thru

Utilizzare handbrake

Alcune brevi considerazioni

Format:  I containers disponibili sono Matroska ( MKV ) e MP4 ( M4)

Presets: Sulla destra sono disponibili diversi presets per dispositi portatili in devices.  In Regular oltre a Normal è disponibile High profile adatto per i film ad alta definizione.

Benchè le impostazioni di default rappresentani in genere un ottimo tra qualità e dimensione del file ci sono diversi pannelli e schede per personalizzare la conversione.

Handrake picture setting presets

Handrake picture setting presets

Picture setting  apre un finestra di preview. Qui selezionando show setting è possibile di impostare le dimensioni del filmato in output: risoluzione e cropping ( ritaglio).  In filter è possibile deinterlacciare un eventuale video interlacciato.

Video: la scheda consente di variare il video encoder oltre ad H.264 sono disponibili mpeg-2 e – mpeg-4 e VP3 Theora e di regolare il livello di compressione.

handrake video setting

handrake video setting

Audio: la scheda consente di agire per ogni traccia audio è possibile modificare l’encoder  e la qualità agendo su compressione  ( bitrate  ) e Mix.

Le altre schede disponibili rigurdano i Sottotioli, i Capitoli e i Tags

Risorse:

  1. bud1n4
    dicembre 6, 2013 alle 10:42 pm

    Ciao Maurizio,

    anche io sto cercando di installare questo programma dato che per diversi anni l’ho usato su OSX ed adesso che sono su Ubuntu vorrei continuare a farlo.

    Ho seguito i tuoi passi eppure quando arrivo a dare il comando per installare il pacchetto sul mio portatile (ho un ASUS X53B che monta un processore a 32bit) mi restituisce questo messaggio di errore:

    Estrazione di handbrake-gtk (da handbrake-gtk_0.9.9ppa1~raring1_i386.deb)…
    dpkg: problemi con le dipendenze impediscono la configurazione di handbrake-gtk:
    handbrake-gtk dipende da libappindicator3-1 (>= 0.2.92).
    handbrake-gtk dipende da gstreamer1.0-plugins-bad.
    handbrake-gtk dipende da gstreamer1.0-plugins-ugly.

    dpkg: errore nell’elaborare handbrake-gtk (–install):
    problemi con le dipendenze – lasciato non configurato
    Elaborazione dei trigger per hicolor-icon-theme…
    Elaborazione dei trigger per desktop-file-utils…
    Elaborazione dei trigger per gnome-menus…
    Elaborazione dei trigger per bamfdaemon…
    Rebuilding /usr/share/applications/bamf-2.index…
    Elaborazione dei trigger per mime-support…
    Si sono verificati degli errori nell’elaborazione:
    handbrake-gtk

    Leggendo ho notato che tu usi la versione a 64bit ma dato che questo errore si riferisce a delle librerie mancanti mi stavo chiedendo se tu sapessi come risolvere.

    Io ho provato a dire ad apt-get di installare anche queste ma entro in un circolo di errori e dipendenze dal quale non riesco ad uscire… Dato che sono nuova di questo mondo, avresti mica qualche suggerimento da darmi?

    Grazie in anticipo e a presto.

    • dicembre 8, 2013 alle 5:57 pm

      Visto che usi la 32 bit saresti in una situazione meno problematica della 64.
      A questo punto la prima cosa da fare è vedere di sistemare le dipendenze attuali.
      Dai questo comando:

      sudo apt-get install -f 

      Da solo sistema diversi problemi, di base, con le dipendenze.
      Prima di fare altro devi avere questo output da terminale:

      maurizio@U1310tst:~$ sudo apt-get install -f
      Reading package lists... Done
      Building dependency tree       
      Reading state information... Done
      0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
      

      Diversamente il sistema non è adeguatamente stabile.
      Considera che fatto questo potresti anche avere handrake funzionante.
      Se non funziona riprova secondo il post l’installazione di handrake.

      E posta le dipendenze mancanti non provare il caricamento a mano.

      Se si sono problemi con le dipendenze potresti comunque riprovare subito un altro

      sudo apt-get install -f 

      che ti dovrebbe installare le dipendenze in modo più efficace dell’operazione a mano.

  1. No trackbacks yet.

Rispondi

Inserisci i tuoi dati qui sotto o clicca su un'icona per effettuare l'accesso:

Logo WordPress.com

Stai commentando usando il tuo account WordPress.com. Chiudi sessione / Modifica )

Foto Twitter

Stai commentando usando il tuo account Twitter. Chiudi sessione / Modifica )

Foto di Facebook

Stai commentando usando il tuo account Facebook. Chiudi sessione / Modifica )

Google+ photo

Stai commentando usando il tuo account Google+. Chiudi sessione / Modifica )

Connessione a %s...

%d blogger hanno fatto clic su Mi Piace per questo: